NTStatus
Date: 2010-04-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class NTStatus

    java.lang.Object
      com.sun.jna.platform.win32.NTStatus

    public abstract class NTStatus

extends java.lang.Object

Field Summary
`static int` | `STATUS_ABANDONED`
`static int` | `STATUS_ABANDONED_WAIT_0`
`static int` | `STATUS_ABANDONED_WAIT_63`
`static int` | `STATUS_BUFFER_TOO_SMALL`
`static int` | `STATUS_SUCCESS`
`static int` | `STATUS_WAIT_0`
`static int` | `STATUS_WAIT_1`
`static int` | `STATUS_WAIT_2`
`static int` | `STATUS_WAIT_3`
`static int` | `STATUS_WAIT_63`

Constructor Summary
`NTStatus()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STATUS_SUCCESS

    public static final int STATUS_SUCCESS

See Also:
  Constant Field Values

### STATUS_BUFFER_TOO_SMALL

    public static final int STATUS_BUFFER_TOO_SMALL

See Also:
  Constant Field Values

### STATUS_WAIT_0

    public static final int STATUS_WAIT_0

See Also:
  Constant Field Values

### STATUS_WAIT_1

    public static final int STATUS_WAIT_1

See Also:
  Constant Field Values

### STATUS_WAIT_2

    public static final int STATUS_WAIT_2

See Also:
  Constant Field Values

### STATUS_WAIT_3

    public static final int STATUS_WAIT_3

See Also:
  Constant Field Values

### STATUS_WAIT_63

    public static final int STATUS_WAIT_63

See Also:
  Constant Field Values

### STATUS_ABANDONED

    public static final int STATUS_ABANDONED

See Also:
  Constant Field Values

### STATUS_ABANDONED_WAIT_0

    public static final int STATUS_ABANDONED_WAIT_0

See Also:
  Constant Field Values

### STATUS_ABANDONED_WAIT_63

    public static final int STATUS_ABANDONED_WAIT_63

See Also:
  Constant Field Values

Constructor Detail

### NTStatus

    public NTStatus()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD